Subject: [media-types] Macintosh file type code

From: "Chris Lilley" <[email-masked]>
Date: Thu, 08 Dec 2016 12:34:59 -0500

It is not clear to me what, in a Media Type registration, the "Macintosh file type code" is for, or what the allowed range of tokens is, or whether anyone checks this information or uses it in any way.

It seems that this code is for use on Mac OS 9 or earlier, i.e. pre-OS X. 

Apple seems to have replaced this with "Uniform Type Identifiers".
https://developer.apple.com/library/content/documentation/FileManagement/Conceptual/understanding_utis/understand_utis_intro/understand_utis_intro.html
and says that there are various legacy sources of it 
- the four character codes (Macintosh file type code)
- filename extensions
- "MIME types" (sic)
and that Uniform Type Identifiers "replaces all these incompatible tagging methods with the string ..."

There seems to be a registry of System-Declared UTIs
https://developer.apple.com/library/content/documentation/Miscellaneous/Reference/UTIRef/Articles/System-DeclaredUniformTypeIdentifiers.html#//apple_ref/doc/uid/TP40009259-SW1

RFC6833, section 4.12 Additional Information has a reference to MacOSFileTypes

[MacOSFileTypes] Apple Computer, Inc., "Mac OS: File Type and Creator Codes, and File Formats", Apple Knowledge Base Article 55381, June 1993, <http://www.info.apple.com/kbnum/n55381 [http://www.info.apple.com/kbnum/n55381]>.

and the link has rotted.

On to my actual questions:

1) Is there continuing value in providing this data in a Meda Type registration, given that it does not seem to be used by current Apple products and has been replaced, as far as Apple is concerned, by UTIs?

I see some registrations say 'none' as the value. It seems better to me to just remove this field from the template.

2) Is there value in adding the Apple UTI (which is at least documented, and in current use) to the registration templates? 

My reason for asking is draft-ietf-justfont-toplevel
https://datatracker.ietf.org/doc/draft-ietf-justfont-toplevel/

which will define a new top-level Media Type for fonts. I am very tempted to just remove the "Macintosh file type code" from the registration template, and could go either way on replacing it with an "Apple Uniform Type Identifier" field - opinions welcome.

Raisng on this list since it affects all other registration templates as well.

--
Chris Lilley
@svgeesus
Technical Director @ W3C
W3C Strategy Team, Core Web Design
W3C Architecture & Technology Team, Core Web & Media

---

From: Ned Freed <[email-masked]>
Date: Thu, 08 Dec 2016 09:58:29 -0800 (PST)

> It is not clear to me what, in a Media Type registration, the "Macintosh file
> type code" is for, or what the allowed range of tokens is, or whether anyone
> checks this information or uses it in any way.

It's pretty much obsolete. We retained it on the last update mostly because old
registrations had it.

> It seems that this code is for use on Mac OS 9 or earlier, i.e. pre-OS X. 

Exactly. 

> 1) Is there continuing value in providing this data in a Meda Type
> registration, given that it does not seem to be used by current Apple products
> and has been replaced, as far as Apple is concerned, by UTIs?

Very little.

> I see some registrations say 'none' as the value. It seems better to me to
> just remove this field from the template.

Or leave it blank.

> 2) Is there value in adding the Apple UTI (which is at least documented, and
> in current use) to the registration templates? 

Not that I'm aware of, but more information can't hurt.

> which will define a new top-level Media Type for fonts. I am very tempted to
> just remove the "Macintosh file type code" from the registration template, and
> could go either way on replacing it with an "Apple Uniform Type Identifier"
> field - opinions welcome.

Either way works.

				Ned

---

From: Paul Libbrecht <[email-masked]>
Date: Thu, 8 Dec 2016 23:17:44 +0100

This goes along the proposal I had to add UTI and Windows clipboard flavour names within the template. I remember having been too late "last time".

I haven’t heard of Apple using UTI outside clipboards though.
Have you found such Chris?

I believe that many media types can be sensibly exchanged over a clipboard so that it makes sense to insert a section on windows-clipboard-flavor and apple-UTI.

Ned, how is the process to file such a change fo the template?

thanks in advance.

Paul

---

From: Martin J. Dürst <[email-masked]>
Date: Fri, 9 Dec 2016 15:40:05 +0900

Hello Chris,

> I see some registrations say 'none' as the value. It seems better to me to just remove this field from the template.

Yes, this seems to be only of historic value.

> which will define a new top-level Media Type for fonts. I am very tempted to just remove the "Macintosh file type code" from the registration template, and could go either way on replacing it with…

Do the individual subtypes that this draft is registering have UTIs, or 
should they have them? If yes, then having this field is definitely 
valuable.

> Raisng on this list since it affects all other registration templates as well.

I'd propose you also ask for advice on
https://github.com/svgeesus/ietf-justfont/issues/24 and
https://github.com/svgeesus/ietf-justfont/issues/23
here on this list, because I think that's where the chance of getting 
some valuable input is highest.

Regards,   Martin.

---

From: "Chris Lilley" <[email-masked]>
Date: Fri, 09 Dec 2016 11:43:10 -0500

Do the individual subtypes that this draft is registering have UTIs, or
should they have them? If yes, then having this field is definitely
valuable.
Chris Lilley: 
Yes, they do, and I have added them to the current document yesterday.

> Raising on this list since it affects all other registration templates as well.

Chris Lilley:

Good idea, thanks Martin. The one about case insensitivity is settled, but I will send a separate message about the spaces in parameters. However, the current document now disallows spaces.